---
name: 🐛 Bug Report
about: Bugs, missing documentation, or unexpected behavior 🤔.
---

<!--

* Please fill out this template with all the relevant information so we can
  understand what's going on and fix the issue. We appreciate bugs filed and PRs
  submitted!

* If your issue is regarding one of the query APIs (`getByText`,
  `getByLabelText`, etc), then please file it on the `dom-testing-library`
  repository instead. If you file it here it will be closed. Thanks :)

* Please make sure that you are familiar with and follow the Code of Conduct for
  this project (found in the CODE_OF_CONDUCT.md file).

We'll probably ask you to submit the fix (after giving some direction). If
you've never done that before, that's great! Check this free short video
tutorial to learn how: http://kcd.im/pull-request

-->

- `react-testing-library` version:
- `react` version:
- `node` version:
- `npm` (or `yarn`) version:

### Relevant code or config:

```js
var your => (code) => here;
```

<!--
If this is an issue with documentation, please file an issue on the docs repo:
https://github.com/alexkrolick/testing-library-docs
-->

### What you did:

<!-- What you were doing -->

### What happened:

<!-- Please provide the full error message/screenshots/anything -->

### Reproduction:

<!--
If possible, please create a repository that reproduces the issue with the
minimal amount of code possible.

Template repo: https://github.com/alexkrolick/dom-testing-library-template

Or if you can, try to reproduce the issue in a Codesandbox. You can fork the one
here: https://codesandbox.io/s/5z6x4r7n0p
-->

### Problem description:

<!-- Please describe why the current behavior is a problem -->

### Suggested solution:

<!--
It's ok if you don't have a suggested solution, but it really helps if you could
do a little digging to come up with some suggestion of how to improve things.
-->
